# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/11/10 17:33:48-05:00 len.brown@intel.com 
#   Merge
# 
# include/asm-x86_64/processor.h
#   2004/11/10 17:33:47-05:00 len.brown@intel.com +0 -0
#   SCCS merged
# 
# include/asm-i386/processor.h
#   2004/11/10 17:33:47-05:00 len.brown@intel.com +0 -0
#   SCCS merged
# 
# ChangeSet
#   2004/11/10 15:50:27-05:00 len.brown@intel.com 
#   merge
# 
# arch/i386/mach-es7000/es7000plat.c
#   2004/11/10 15:50:17-05:00 len.brown@intel.com +0 -63
#   merge
# 
# Documentation/kernel-parameters.txt
#   2004/11/10 15:50:17-05:00 len.brown@intel.com +0 -0
#   merge
# 
# include/asm-ia64/processor.h
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# include/asm-i386/acpi.h
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# include/acpi/acpiosxf.h
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/pnp/pnpbios/rsparser.c
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/pnp/pnpbios/core.c
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/pnp/isapnp/core.c
#   2004/11/10 15:40:30-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/pnp/interface.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/thermal.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/sleep/main.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/scan.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/processor.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/osl.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/motherboard.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/x86_64/kernel/process.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/ia64/kernel/process.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/i386/kernel/process.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/i386/kernel/io_apic.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/i386/kernel/dmi_scan.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# arch/i386/kernel/apic.c
#   2004/11/10 15:40:29-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/11/09 03:56:20-05:00 len.brown@intel.com 
#   [ACPI] fix LAPIC-mode poweroff on D600
#   http://bugzilla.kernel.org/show_bug.cgi?id=3643
#   
#   Signed-off-by: Alexey Starikovskiy <alexey.y.starikovskiy@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# arch/i386/kernel/apic.c
#   2004/10/20 04:56:42-04:00 len.brown@intel.com +17 -5
#   fix LAPIC-mode poweroff on D600
# 
# ChangeSet
#   2004/11/09 03:55:46-05:00 len.brown@intel.com 
#   fix non-ACPI IOAPIC build
# 
# include/asm-i386/acpi.h
#   2004/11/09 03:55:39-05:00 len.brown@intel.com +2 -1
#   fix non-ACPI IOAPIC build
# 
# arch/i386/kernel/mpparse.c
#   2004/11/09 03:55:39-05:00 len.brown@intel.com +1 -2
#   fix non-ACPI IOAPIC build
# 
# ChangeSet
#   2004/11/09 03:08:42-05:00 len.brown@intel.com 
#   [ACPI] acpi_pci_irq_enable() now returns 0 on success.
#   This bubbles all the way up to pci_enable_device().
#   This allows IRQ0 to be used as a legal PCI device IRQ.
#   
#   The ES7000 uses an interrupt source override to assign pin20 to IRQ0.
#   Then platform_rename_gsi assigns pin0 a high-numbered IRQ -- available
#   for PCI devices.  But IRQ0 needs to be a legal PCI IRQ in the lookup code
#   to make it as far as the re-name code. 
#   
#   Signed-off-by: Natalie Protasevich <Natalie.Protasevich@UNISYS.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/pci_link.c
#   2004/11/09 03:08:36-05:00 len.brown@intel.com +10 -5
#   Import patch irq0_checks3.patch
# 
# drivers/acpi/pci_irq.c
#   2004/11/09 03:08:36-05:00 len.brown@intel.com +28 -13
#   Import patch irq0_checks3.patch
# 
# ChangeSet
#   2004/11/09 01:26:16-05:00 len.brown@intel.com 
#   [ACPI] ibm ACPI 0.8 by Chris Wright and Borislav Deianov
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/ibm_acpi.c
#   2004/11/08 20:11:27-05:00 len.brown@intel.com +29 -35
#   Import patch ibm-acpi-0.8.patch
# 
# Documentation/ibm-acpi.txt
#   2004/11/08 20:11:50-05:00 len.brown@intel.com +2 -2
#   Import patch ibm-acpi-0.8.patch
# 
# ChangeSet
#   2004/11/06 00:44:15-05:00 len.brown@intel.com 
#   [ACPI] ACPICA 20041105 from Bob Moore
#   
#   Implemented support for FADT revision 2.  This was an
#   interim table (between ACPI 1.0 and ACPI 2.0) that adds
#   support for the FADT reset register.
#   
#   Implemented optional support to allow uninitialized LocalX
#   and ArgX variables in a control method.  The variables
#   are initialized to an Integer object with a value
#   of zero.  This support is enabled by setting the
#   acpi_gbl_enable_interpreter_slack flag to TRUE,
#   which is default unless booted with "acpi=strict".
#   
#   Implemented support for Integer objects for the SizeOf
#   operator.  Either 4 or 8 is returned, depending on the
#   current integer size (32-bit or 64-bit, depending on the
#   parent table revision).
#   
#   Fixed a problem in the implementation of the SizeOf and
#   ObjectType operators where the operand was resolved to
#   a value too early, causing incorrect return values for
#   some objects.
#   
#   Fixed some possible memory leaks during exceptional conditions.
# 
# include/acpi/actbl2.h
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +54 -36
#   ACPICA 20041105
# 
# include/acpi/acmacros.h
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +1 -1
#   ACPICA 20041105
# 
# include/acpi/acinterp.h
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +3 -2
#   ACPICA 20041105
# 
# include/acpi/acglobal.h
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +4 -1
#   ACPICA 20041105
# 
# include/acpi/acconfig.h
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +1 -1
#   ACPICA 20041105
# 
# drivers/acpi/utilities/utcopy.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +17 -10
#   ACPICA 20041105
# 
# drivers/acpi/tables/tbinstal.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +2 -1
#   ACPICA 20041105
# 
# drivers/acpi/tables/tbconvrt.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +29 -15
#   ACPICA 20041105
# 
# drivers/acpi/parser/psparse.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +97 -92
#   ACPICA 20041105
# 
# drivers/acpi/parser/psopcode.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +2 -2
#   ACPICA 20041105
# 
# drivers/acpi/namespace/nswalk.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +2 -2
#   ACPICA 20041105
# 
# drivers/acpi/namespace/nsalloc.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +4 -4
#   ACPICA 20041105
# 
# drivers/acpi/namespace/nsaccess.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +2 -0
#   ACPICA 20041105
# 
# drivers/acpi/executer/exresolv.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +60 -0
#   ACPICA 20041105
# 
# drivers/acpi/executer/exprep.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +1 -0
#   ACPICA 20041105
# 
# drivers/acpi/executer/exoparg1.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +24 -5
#   ACPICA 20041105
# 
# drivers/acpi/executer/exdump.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +21 -27
#   ACPICA 20041105
# 
# drivers/acpi/dispatcher/dswstate.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +1 -0
#   ACPICA 20041105
# 
# drivers/acpi/dispatcher/dswload.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +12 -10
#   ACPICA 20041105
# 
# drivers/acpi/dispatcher/dswexec.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +3 -1
#   ACPICA 20041105
# 
# drivers/acpi/dispatcher/dsmthdat.c
#   2004/11/06 00:44:08-05:00 len.brown@intel.com +16 -1
#   ACPICA 20041105
# 
# ChangeSet
#   2004/11/05 21:44:18-05:00 len.brown@intel.com 
#   merge
# 
# drivers/acpi/osl.c
#   2004/11/05 21:44:06-05:00 len.brown@intel.com +0 -1
#   merge
# 
# include/linux/acpi.h
#   2004/11/05 21:42:25-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# drivers/acpi/processor.c
#   2004/11/05 21:42:24-05:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/11/05 17:39:51-05:00 len.brown@intel.com 
#   [ACPI] Allow limiting idle C-States.
#   
#   Useful to workaround C3 ipw2100 packet loss,
#   reducing noise or boot issues on some models.
#   http://bugme.osdl.org/show_bug.cgi?id=3549
#   
#   For static processor driver, boot cmdline:
#   processor.acpi_cstate_limit=2
#   
#   For processor module, /etc/modprobe.conf:
#   options processor acpi_cstate_limit=2
#   
#   For manual processor module load:
#   # modprobe processor acpi_cstate_limit=2
#   
#   From kernel or kernel module:
#   #include <linux/acpi.h>
#   acpi_set_cstate_limit(2);
#   
#   Inspired by patches from Jos Delbar and Andi Kleen
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/linux/acpi.h
#   2004/11/05 17:39:45-05:00 len.brown@intel.com +26 -0
#   define API to set and get acpi_cstate_limit
# 
# drivers/acpi/processor.c
#   2004/11/05 17:39:45-05:00 len.brown@intel.com +10 -1
#   set and obey acpi_cstate_limit
# 
# drivers/acpi/osl.c
#   2004/11/05 17:39:45-05:00 len.brown@intel.com +9 -0
#   define acpi_cstate_limit
# 
# ChangeSet
#   2004/11/04 21:15:54-05:00 len.brown@intel.com 
#   [ACPI] disable PNPBIOS if ACPI, even without PNPACPI
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/pnp/pnpbios/core.c
#   2004/11/02 15:09:48-05:00 len.brown@intel.com +3 -3
#   disable pnpbios if ACPI
# 
# ChangeSet
#   2004/11/04 16:38:01-05:00 len.brown@intel.com 
#   [ACPI] keep processor driver loaded even if acpi_disabled
#   
#   for benefit of powernow-k8 driver which depends on it
#   but runs even if acpi is disabled.
#   
#   Signed-off-by: Andi Kleen <ak@suse.de>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/processor.c
#   2004/08/05 08:02:25-04:00 len.brown@intel.com +6 -2
#   Stay loaded
# 
# ChangeSet
#   2004/11/04 03:35:51-05:00 len.brown@intel.com 
#   [ACPI] remove obsolete blacklist entries (Andi Kleen)
#   http://bugzilla.kernel.org/show_bug.cgi?id=3164
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# arch/i386/kernel/dmi_scan.c
#   2004/11/04 03:32:19-05:00 len.brown@intel.com +0 -15
#   remove obsolete blacklist entries
# 
# ChangeSet
#   2004/11/02 02:53:13-05:00 len.brown@intel.com 
#   [ACPI] Remove default PNPACPI driver binding to legacy ACPI devices.
#   
#   This conflicted with PNP-aware and ACPI-aware drivers,
#   and required that its exclude-list carry vendor-specific
#   driver names, which we can't possibly maintain.
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/pnp/pnpacpi/core.c
#   2004/11/01 20:39:21-05:00 len.brown@intel.com +16 -30
#   Import patch remove-driver.patch
# 
# ChangeSet
#   2004/11/02 02:40:16-05:00 len.brown@intel.com 
#   [ACPI] fix return values for ACPI_FUNCTION_TRACE
#   http://bugzilla.kernel.org/show_bug.cgi?id=3336
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/video.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +1 -1
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/utils.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +1 -1
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/thermal.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +7 -7
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/scan.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +2 -2
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/processor.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +5 -5
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/power.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +8 -8
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/pci_link.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +11 -11
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/motherboard.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +2 -2
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/button.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +4 -4
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/bus.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +5 -5
#   fix return values for ACPI_FUNCTION_TRACE
# 
# drivers/acpi/ac.c
#   2004/11/02 02:40:09-05:00 len.brown@intel.com +4 -4
#   fix return values for ACPI_FUNCTION_TRACE
# 
# ChangeSet
#   2004/11/01 23:56:25-05:00 len.brown@intel.com 
#   [ACPI] correct compiled-in acpi_dbg_level default
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/utilities/utglobal.c
#   2004/11/01 23:56:19-05:00 len.brown@intel.com +2 -2
#   acpi_dbg_level, acpi_dbg_layer defaults
# 
# ChangeSet
#   2004/11/01 22:00:20-05:00 len.brown@intel.com 
#   [ACPI] fix x86_64 build warnings in video.c (Luming Yu)
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/video.c
#   2004/10/31 22:31:28-05:00 len.brown@intel.com +9 -9
#   Import patch video.c.diff
# 
# ChangeSet
#   2004/11/01 21:08:22-05:00 len.brown@intel.com 
#   [ACPI] ACPIPNP handle IRQ resource value of 0 (David Shaohua Li)
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/pnp/pnpacpi/rsparser.c
#   2004/10/31 20:21:10-05:00 len.brown@intel.com +4 -2
#   Import patch rsparser.patch
# 
# ChangeSet
#   2004/10/29 01:02:04-04:00 len.brown@intel.com 
#   [PNP] handler more than 16 IRQs
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/linux/pnp.h
#   2004/09/27 22:13:47-04:00 len.brown@intel.com +2 -1
#   Import patch irq256.patch
# 
# drivers/pnp/resource.c
#   2004/09/27 22:13:28-04:00 len.brown@intel.com +2 -2
#   Import patch irq256.patch
# 
# drivers/pnp/quirks.c
#   2004/09/27 22:13:09-04:00 len.brown@intel.com +5 -2
#   Import patch irq256.patch
# 
# drivers/pnp/pnpbios/rsparser.c
#   2004/09/27 22:12:00-04:00 len.brown@intel.com +4 -1
#   Import patch irq256.patch
# 
# drivers/pnp/manager.c
#   2004/09/27 22:12:50-04:00 len.brown@intel.com +8 -2
#   Import patch irq256.patch
# 
# drivers/pnp/isapnp/core.c
#   2004/09/27 22:11:44-04:00 len.brown@intel.com +3 -1
#   Import patch irq256.patch
# 
# drivers/pnp/interface.c
#   2004/09/27 22:12:22-04:00 len.brown@intel.com +3 -3
#   Import patch irq256.patch
# 
# ChangeSet
#   2004/10/28 04:33:10-04:00 len.brown@intel.com 
#   [ACPI] fix video module unload oops
#   
#   Signed-off-by: Luming Yu <luming.yu@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/video.c
#   2004/10/28 02:49:39-04:00 len.brown@intel.com +31 -5
#   Import patch fix_proc_failure.patch
# 
# ChangeSet
#   2004/10/28 02:42:56-04:00 len.brown@intel.com 
#   [ACPI] create ACPI-based PNP driver.
#   
#   With this driver, legacy device drivers (floppy ACPI driver,
#   COM ACPI driver, and ACPI motherboard driver) which
#   directly use ACPI can be removed, since now we have unified PNP
#   interface for legacy ACPI enumerated devices.
#   
#   Originally by Matthieu Castet
#   Signed-off-by: Li Shaohua <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/linux/pnp.h
#   2004/10/18 05:36:19-04:00 len.brown@intel.com +1 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/resource.c
#   2004/10/18 05:53:34-04:00 len.brown@intel.com +5 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpbios/core.c
#   2004/10/18 07:14:42-04:00 len.brown@intel.com +11 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpbios/Kconfig
#   2004/10/18 07:12:20-04:00 len.brown@intel.com +2 -1
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/rsparser.c
#   2004/10/18 05:51:11-04:00 len.brown@intel.com +818 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/pnpacpi.h
#   2004/10/18 05:42:28-04:00 len.brown@intel.com +13 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/core.c
#   2004/10/18 07:04:43-04:00 len.brown@intel.com +272 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/Makefile
#   2004/10/18 05:42:28-04:00 len.brown@intel.com +5 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/Kconfig
#   2004/10/18 07:11:43-04:00 len.brown@intel.com +18 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/isapnp/Kconfig
#   2004/10/18 05:36:19-04:00 len.brown@intel.com +1 -1
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/Makefile
#   2004/10/18 05:36:19-04:00 len.brown@intel.com +1 -0
#   Import patch pnp-acpi.patch
# 
# drivers/pnp/pnpacpi/rsparser.c
#   2004/10/18 05:51:11-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/pnp/pnpacpi/rsparser.c
# 
# drivers/pnp/pnpacpi/pnpacpi.h
#   2004/10/18 05:42:28-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/pnp/pnpacpi/pnpacpi.h
# 
# drivers/pnp/pnpacpi/core.c
#   2004/10/18 07:04:43-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/pnp/pnpacpi/core.c
# 
# drivers/pnp/pnpacpi/Makefile
#   2004/10/18 05:42:28-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/pnp/pnpacpi/Makefile
# 
# drivers/pnp/pnpacpi/Kconfig
#   2004/10/18 07:11:43-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/pnp/pnpacpi/Kconfig
# 
# drivers/pnp/Kconfig
#   2004/10/18 05:36:19-04:00 len.brown@intel.com +3 -1
#   Import patch pnp-acpi.patch
# 
# ChangeSet
#   2004/10/28 02:25:50-04:00 len.brown@intel.com 
#   [ACPI] export acpi_match_ids()
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/acpi/acpi_bus.h
#   2004/10/28 02:25:07-04:00 len.brown@intel.com +3 -1
#   Import patch acpi_match.patch
# 
# drivers/acpi/scan.c
#   2004/10/28 02:23:42-04:00 len.brown@intel.com +4 -10
#   Import patch acpi_match.patch
# 
# ChangeSet
#   2004/10/28 02:17:14-04:00 len.brown@intel.com 
#   [ACPI] introduces acpi_penalize_isa_irq() to to avoid PCI
#   devices use IRQ of legacy PNP devices.
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/linux/acpi.h
#   2004/09/21 22:09:23-04:00 len.brown@intel.com +1 -0
#   Import patch irq-isa.patch
# 
# drivers/pnp/pnpbios/rsparser.c
#   2004/09/21 22:31:09-04:00 len.brown@intel.com +2 -0
#   Import patch irq-isa.patch
# 
# drivers/acpi/pci_link.c
#   2004/09/21 22:08:09-04:00 len.brown@intel.com +5 -0
#   Import patch irq-isa.patch
# 
# arch/i386/pci/irq.c
#   2004/09/21 22:27:30-04:00 len.brown@intel.com +14 -2
#   Import patch irq-isa.patch
# 
# ChangeSet
#   2004/10/28 02:11:14-04:00 len.brown@intel.com 
#   8250_pnp serial_req.port_high fix for Tiger
#   
#   Signed-off-by: David Shaohua Li <shaohua.li@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/serial/8250_pnp.c
#   2004/09/27 23:28:14-04:00 len.brown@intel.com +1 -1
#   Import patch 8250.patch
# 
# ChangeSet
#   2004/10/28 01:51:54-04:00 len.brown@intel.com 
#   [PATCH] apply recent ES7000 ACPI interrupt fix to MPS mode
#   
#   Before:
#   IRQ26 -> 0:10-> 1:2
#   IRQ27 -> 0:11-> 1:3
#   
#   After:
#   IRQ26 -> 1:2
#   IRQ27 -> 1:3
#   IRQ58 -> 0:10
#   IRQ59 -> 0:11
#   
#   Signed-off-by: Natalie Protasevich <Natalie.Protasevich@unisys.com>
#   Signed-off-by: Len Brown <Len.Brown@intel.com>
# 
# arch/i386/kernel/io_apic.c
#   2004/10/27 10:02:52-04:00 len.brown@intel.com +5 -2
#   Import patch pin-2-irq.patch
# 
# ChangeSet
#   2004/10/28 01:07:53-04:00 len.brown@intel.com 
#   [ACPI] C1 fixes when processor driver is loaded
#   honor "halt=" cmdline parameter
#   use monitor/mwait when available
#   http://bugzilla.kernel.org/show_bug.cgi?id=2280
#   
#   Signed-off-by: Venkatesh Pallipadi <venkatesh.pallipadi@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# include/asm-x86_64/processor.h
#   2004/10/26 15:58:51-04:00 len.brown@intel.com +2 -0
#   Import patch venki-c1.patch
# 
# include/asm-ia64/processor.h
#   2004/10/26 15:58:24-04:00 len.brown@intel.com +2 -0
#   Import patch venki-c1.patch
# 
# include/asm-i386/processor.h
#   2004/10/26 15:57:05-04:00 len.brown@intel.com +2 -0
#   Import patch venki-c1.patch
# 
# drivers/acpi/processor.c
#   2004/10/26 17:11:53-04:00 len.brown@intel.com +27 -14
#   Import patch venki-c1.patch
# 
# arch/x86_64/kernel/process.c
#   2004/10/26 15:56:11-04:00 len.brown@intel.com +4 -0
#   Import patch venki-c1.patch
# 
# arch/ia64/kernel/process.c
#   2004/10/26 15:55:26-04:00 len.brown@intel.com +2 -0
#   Import patch venki-c1.patch
# 
# arch/i386/kernel/process.c
#   2004/10/26 17:02:56-04:00 len.brown@intel.com +4 -0
#   Import patch venki-c1.patch
# 
# ChangeSet
#   2004/10/25 23:30:02-04:00 len.brown@intel.com 
#   [ACPI] Move the "only do this once" stuff from acpi_register_gsi() into
#   eisa_set_level().
#   
#   Signed-off-by: Bjorn Helgaas <bjorn.helgaas@hp.com>
#   Signed-off-by: Andrew Morton <akpm@osdl.org>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# arch/i386/pci/irq.c
#   2004/09/30 12:39:46-04:00 len.brown@intel.com +8 -1
#   Import patch eisa_set_level_irq.txt
# 
# arch/i386/kernel/acpi/boot.c
#   2004/09/30 12:39:46-04:00 len.brown@intel.com +1 -7
#   Import patch eisa_set_level_irq.txt
# 
# ChangeSet
#   2004/10/25 22:44:31-04:00 len.brown@intel.com 
#   [ACPI] ACPI_VIDEO is EXPERIMENTAL
# 
# drivers/acpi/Kconfig
#   2004/10/25 22:44:21-04:00 len.brown@intel.com +1 -0
#   ACPI_VIDEO is EXPERIMENTAL
# 
# ChangeSet
#   2004/10/25 18:21:05-04:00 len.brown@intel.com 
#   [ACPI] Extensions for Display Adapters (Bruno Ducrot)
#   http://bugme.osdl.org/show_bug.cgi?id=1944
#   
#   Signed-off-by: Luming Yu <luming.yu@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/video.c
#   2004/10/25 11:41:27-04:00 len.brown@intel.com +1962 -0
#   Import patch video_extension2.patch
# 
# include/acpi/acpi_bus.h
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +2 -0
#   Import patch video_extension2.patch
# 
# drivers/acpi/video.c
#   2004/10/25 11:41:27-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/acpi/video.c
# 
# drivers/acpi/scan.c
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +6 -1
#   Import patch video_extension2.patch
# 
# drivers/acpi/Makefile
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +1 -0
#   Import patch video_extension2.patch
# 
# drivers/acpi/Kconfig
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +14 -0
#   Import patch video_extension2.patch
# 
# Documentation/power/video_extension.txt
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +34 -0
#   Import patch video_extension2.patch
# 
# Documentation/power/video_extension.txt
#   2004/10/25 11:38:43-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/Documentation/power/video_extension.txt
# 
# ChangeSet
#   2004/10/25 17:54:56-04:00 len.brown@intel.com 
#   [ACPI] ACPI_CUSTOM_DSDT for IA64 too
#   
#   Signed-off-by: Anil S Keshavamurthy <anil.s.keshavamurthy@intel.com>
#   Signed-off-by: Len Brown <len.brown@intel.com
# 
# drivers/acpi/Kconfig
#   2004/10/25 17:54:48-04:00 len.brown@intel.com +1 -1
#   ACPI_CUSTOM_DSDT for IA64 too
# 
# ChangeSet
#   2004/10/23 13:37:09-04:00 len.brown@intel.com 
#   [ACPI] ibm-acpi 0.7 from Borislav Deianov
#   
#   The CMOS handle was incorrectly marked as required, breaking insmod
#   on models without one;
#   
#   The BLED method was incorrectly required if LED is not defined,
#   breaking LED control on the A21e.
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/ibm_acpi.c
#   2004/10/23 03:43:34-04:00 len.brown@intel.com +20 -17
#   Import patch ibm-acpi-0.7.patch
# 
# Documentation/ibm-acpi.txt
#   2004/10/23 03:43:48-04:00 len.brown@intel.com +4 -4
#   Import patch ibm-acpi-0.7.patch
# 
# ChangeSet
#   2004/10/22 23:44:20-04:00 len.brown@intel.com 
#   Merge intel.com:/home/lenb/src/26-stable-acpica
#   into intel.com:/home/lenb/src/26-stable-dev
# 
# drivers/acpi/osl.c
#   2004/10/22 23:44:17-04:00 len.brown@intel.com +0 -0
#   Auto merged
# 
# ChangeSet
#   2004/10/22 23:12:41-04:00 len.brown@intel.com 
#   [ACPI] fix build warning
# 
# drivers/acpi/executer/exstore.c
#   2004/10/22 23:12:35-04:00 len.brown@intel.com +1 -1
#   build warning
# 
# ChangeSet
#   2004/10/22 22:56:02-04:00 len.brown@intel.com 
#   [ACPI] ACPICA 20041015 from Bob Moore
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
#   
#   Note: ACPI CA is currently undergoing an in-depth and
#   complete formal evaluation to test/verify the following
#   areas. Other suggestions are welcome. This will result in
#   an increase in the frequency of releases and the number
#   of bug fixes in the next few months.
#   
#   - Functional tests for all ASL/AML operators
#   - All implicit/explicit type conversions
#   - Bit fields and operation regions
#   - 64-bit math support and 32-bit-only "truncated" math support
#   - Exceptional conditions, both compiler and interpreter
#   - Dynamic object deletion and memory leaks
#   - ACPI 3.0 support when implemented
#   - External interfaces to the ACPI subsystem
#   
#   Fixed two alignment issues on 64-bit platforms -
#   within debug statements in acpi_ev_gpe_detect and
#   acpi_ev_create_gpe_block. Removed references to the
#   Address field within the non-aligned ACPI generic address
#   structure.
#   
#   Fixed a problem in the Increment and Decrement operators
#   where incorrect operand resolution could result in the
#   inadvertent modification of the original integer when the
#   integer is passed into another method as an argument and
#   the arg is then incremented/decremented.
#   
#   Fixed a problem in the FromBCD operator where the upper
#   32-bits of a 64-bit BCD number were truncated during
#   conversion.
#   
#   Fixed a problem in the ToDecimal operator where the length
#   of the resulting string could be set incorrectly too long
#   if the input operand was a Buffer object.
#   
#   Fixed a problem in the Logical operators (LLess,
#   etc.) where a NULL byte (0) within a buffer would
#   prematurely terminate a compare between buffer objects.
#   
#   Added a check for string overflow (>200 characters as per
#   the ACPI specification) during the Concatenate operator
#   with two string operands.
# 
# include/acpi/platform/acenv.h
#   2004/10/22 22:22:10-04:00 len.brown@intel.com +2 -0
#   ACPICA 20041015
# 
# include/acpi/acutils.h
#   2004/10/22 22:22:09-04:00 len.brown@intel.com +6 -0
#   ACPICA 20041015
# 
# include/acpi/acconfig.h
#   2004/10/22 22:22:10-04:00 len.brown@intel.com +1 -1
#   ACPICA 20041015
# 
# drivers/acpi/utilities/utobject.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +15 -17
#   ACPICA 20041015
# 
# drivers/acpi/parser/psopcode.c
#   2004/10/22 22:22:14-04:00 len.brown@intel.com +1 -1
#   ACPICA 20041015
# 
# drivers/acpi/hardware/hwregs.c
#   2004/10/22 22:22:14-04:00 len.brown@intel.com +2 -2
#   ACPICA 20041015
# 
# drivers/acpi/executer/exstore.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +11 -2
#   ACPICA 20041015
# 
# drivers/acpi/executer/exresop.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +4 -3
#   ACPICA 20041015
# 
# drivers/acpi/executer/exoparg2.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +2 -2
#   ACPICA 20041015
# 
# drivers/acpi/executer/exoparg1.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +59 -29
#   ACPICA 20041015
# 
# drivers/acpi/executer/exmisc.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +12 -5
#   ACPICA 20041015
# 
# drivers/acpi/executer/exconvrt.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +7 -3
#   ACPICA 20041015
# 
# drivers/acpi/events/evgpeblk.c
#   2004/10/22 22:22:14-04:00 len.brown@intel.com +1 -3
#   ACPICA 20041015
# 
# drivers/acpi/events/evgpe.c
#   2004/10/22 22:22:14-04:00 len.brown@intel.com +2 -7
#   ACPICA 20041015
# 
# drivers/acpi/dispatcher/dsutils.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +1 -1
#   ACPICA 20041015
# 
# drivers/acpi/dispatcher/dsmthdat.c
#   2004/10/22 22:22:15-04:00 len.brown@intel.com +2 -2
#   ACPICA 20041015
# 
# ChangeSet
#   2004/10/22 22:55:32-04:00 len.brown@intel.com 
#   [ACPI] fix build warning in tables/tbget.c
# 
# drivers/acpi/tables/tbget.c
#   2004/10/22 22:55:25-04:00 len.brown@intel.com +1 -1
#   fix build warning
# 
# ChangeSet
#   2004/10/22 22:10:26-04:00 len.brown@intel.com 
#   [ACPI] ACPICA 20041006 from Bob Moore
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
#   
#   Implemented support for the ACPI 3.0 Timer operator. This
#   ASL function implements a 64-bit timer with 100 nanosecond
#   granularity.
#   
#   Defined a new OSL interface, acpi_os_get_timer. This
#   interface is used to implement the ACPI 3.0 Timer
#   operator. This allows the host OS to implement the timer
#   with the best clock available.  Also, it keeps the core
#   subsystem out of the clock handling business, since the
#   host OS (usually) performs this function.
#   
#   Fixed an alignment issue on 64-bit platforms. The
#   hw_low_level_read/write() functions use a 64-bit address
#   which is part of the packed ACPI Generic Address
#   Structure. Since the structure is non-aligned, the
#   alignment macros are now used to extract the address to
#   a local variable before use.
#   
#   Fixed a problem where the ToInteger operator assumed all
#   input strings were hexadecimal. The operator now handles
#   both decimal strings and hex strings (prefixed with "0x").
#   
#   Fixed a problem where the string length in the string
#   object created as a result of the internal ConvertToString
#   procedure could be incorrect.  This potentially affected
#   all implicit conversions and also the ToDecimalString and
#   ToHexString operators.
#   
#   Fixed two problems in the ToString operator. If the
#   length parameter was zero, an incorrect string object was
#   created and the value of the input length parameter was
#   inadvertently changed from zero to Ones.
#   
#   Fixed a problem where the optional ResourceSource string
#   in the ExtendedIRQ resource macro was ignored.
#   
#   Simplified the interfaces to the internal division
#   functions, reducing code size and complexity.
# 
# include/acpi/acutils.h
#   2004/10/22 22:09:21-04:00 len.brown@intel.com +7 -3
#   ACPICA 20041015
# 
# include/acpi/actypes.h
#   2004/10/22 22:09:21-04:00 len.brown@intel.com +5 -1
#   ACPICA 20041015
# 
# include/acpi/acinterp.h
#   2004/10/22 22:09:21-04:00 len.brown@intel.com +4 -6
#   ACPICA 20041015
# 
# include/acpi/acconfig.h
#   2004/10/22 22:09:22-04:00 len.brown@intel.com +1 -1
#   ACPICA 20041015
# 
# drivers/acpi/utilities/utmisc.c
#   2004/10/22 22:09:29-04:00 len.brown@intel.com +41 -61
#   ACPICA 20041015
# 
# drivers/acpi/utilities/utmath.c
#   2004/10/22 22:09:29-04:00 len.brown@intel.com +22 -21
#   ACPICA 20041015
# 
# drivers/acpi/utilities/utdelete.c
#   2004/10/22 22:09:29-04:00 len.brown@intel.com +7 -2
#   ACPICA 20041015
# 
# drivers/acpi/resources/rscalc.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +47 -65
#   ACPICA 20041015
# 
# drivers/acpi/parser/psutils.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +10 -15
#   ACPICA 20041015
# 
# drivers/acpi/hardware/hwtimer.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +8 -11
#   ACPICA 20041015
# 
# drivers/acpi/hardware/hwregs.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +24 -10
#   ACPICA 20041015
# 
# drivers/acpi/executer/exutils.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +8 -10
#   ACPICA 20041015
# 
# drivers/acpi/executer/exresop.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +4 -7
#   ACPICA 20041015
# 
# drivers/acpi/executer/exregion.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +1 -1
#   ACPICA 20041015
# 
# drivers/acpi/executer/exoparg2.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +29 -22
#   ACPICA 20041015
# 
# drivers/acpi/executer/exoparg1.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +8 -9
#   ACPICA 20041015
# 
# drivers/acpi/executer/exmisc.c
#   2004/10/22 22:09:29-04:00 len.brown@intel.com +6 -8
#   ACPICA 20041015
# 
# drivers/acpi/executer/exconvrt.c
#   2004/10/22 22:09:29-04:00 len.brown@intel.com +18 -53
#   ACPICA 20041015
# 
# drivers/acpi/dispatcher/dswexec.c
#   2004/10/22 22:09:28-04:00 len.brown@intel.com +3 -1
#   ACPICA 20041015
# 
# ChangeSet
#   2004/10/22 22:00:01-04:00 len.brown@intel.com 
#   [ACPI] place-holder for ACPI 3.0 acpi_os_get_timer()
# 
# drivers/acpi/osl.c
#   2004/10/22 21:59:54-04:00 len.brown@intel.com +23 -0
#   acpi_os_get_timer place-holder
# 
# ChangeSet
#   2004/10/22 16:17:02-04:00 len.brown@intel.com 
#   [ACPI] ACPICA 20040924 from Bob Moore
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
#   
#   Added a new OSL interface, acpi_os_get_timer.  This
#   interface implements a 64-bit monotonic timer in 100
#   nanosecond units.
#   
#   Implemented support for the ACPI 3.0 Timer operator.
#   This 64-bit timer utilizes the timer provided by the
#   acpi_os_get_timer interface.
# 
# include/acpi/amlcode.h
#   2004/10/22 16:16:07-04:00 len.brown@intel.com +14 -11
#   ACPICA 20040924
# 
# include/acpi/acpiosxf.h
#   2004/10/22 16:16:08-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040924
# 
# include/acpi/aclocal.h
#   2004/10/22 16:16:08-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040924
# 
# include/acpi/acinterp.h
#   2004/10/22 16:16:07-04:00 len.brown@intel.com +4 -0
#   ACPICA 20040924
# 
# include/acpi/acconfig.h
#   2004/10/22 16:16:08-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040924
# 
# drivers/acpi/parser/psopcode.c
#   2004/10/22 16:16:10-04:00 len.brown@intel.com +12 -5
#   ACPICA 20040924
# 
# drivers/acpi/executer/exoparg1.c
#   2004/10/22 16:16:11-04:00 len.brown@intel.com +63 -0
#   ACPICA 20040924
# 
# drivers/acpi/dispatcher/dswexec.c
#   2004/10/22 16:16:11-04:00 len.brown@intel.com +13 -12
#   ACPICA 20040924
# 
# ChangeSet
#   2004/10/22 16:12:02-04:00 len.brown@intel.com 
#   [ACPI] acpi_os_sleep() now takes a single 64-bit value in [ms]
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/osl.c
#   2004/10/22 16:11:56-04:00 len.brown@intel.com +2 -2
#   acpi_os_sleep() now takes a single 64-bit value in [ms]
# 
# ChangeSet
#   2004/10/22 15:39:52-04:00 len.brown@intel.com 
#   [ACPI] ACPICA 20040922 from Bob Moore
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
#   
#   Fixed a problem with the implementation of the LNot()
#   operator where "Ones" was not returned for the TRUE
#   case. Changed the code to return Ones instead of (!Arg)
#   which was usually 1. This change affects iASL constant
#   folding for this operator also.
#   
#   Fixed a problem in acpi_ut_initialize_buffer where an
#   existing buffer was not initialized properly -- Now zero
#   the entire buffer in this case where the buffer already
#   exists.
#   
#   Changed the interface to acpi_os_sleep from (UINT32
#   Seconds, UINT32 Milliseconds) to simply (ACPI_INTEGER
#   Milliseconds). This simplifies all related code
#   considerably. This requires changes/updates to all OS
#   interface layers (OSLs.)
#   
#   Implemented a new external interface,
#   acpi_install_exception_handler, to allow a system exception
#   handler to be installed. This handler is invoked upon
#   any run-time exception that occurs during control method
#   execution.
#   
#   Added support for the DSDT in acpi_tb_find_table. This
#   allows the DataTableRegion() operator to access the local
#   copy of the DSDT.
# 
# include/acpi/actypes.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +4 -0
#   ACPICA 20040922
# 
# include/acpi/acpixf.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +9 -0
#   ACPICA 20040922
# 
# include/acpi/acpiosxf.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +5 -2
#   ACPICA 20040922
# 
# include/acpi/acinterp.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040922
# 
# include/acpi/acglobal.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +1 -0
#   ACPICA 20040922
# 
# include/acpi/acconfig.h
#   2004/10/22 15:38:55-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040922
# 
# drivers/acpi/utilities/utglobal.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +1 -0
#   ACPICA 20040922
# 
# drivers/acpi/utilities/utalloc.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +8 -7
#   ACPICA 20040922
# 
# drivers/acpi/tables/tbxfroot.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +22 -5
#   ACPICA 20040922
# 
# drivers/acpi/tables/tbget.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +3 -0
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsutils.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +27 -26
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nssearch.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +26 -23
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsnames.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +2 -1
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsload.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +6 -5
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsinit.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +14 -13
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nseval.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +37 -55
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsdumpdv.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +6 -5
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsdump.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +32 -29
#   ACPICA 20040922
# 
# drivers/acpi/namespace/nsaccess.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +9 -5
#   ACPICA 20040922
# 
# drivers/acpi/executer/exsystem.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +2 -3
#   ACPICA 20040922
# 
# drivers/acpi/executer/exstore.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +15 -9
#   ACPICA 20040922
# 
# drivers/acpi/executer/exoparg1.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +8 -2
#   ACPICA 20040922
# 
# drivers/acpi/executer/exdump.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +89 -84
#   ACPICA 20040922
# 
# drivers/acpi/events/evxface.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +45 -0
#   ACPICA 20040922
# 
# drivers/acpi/dispatcher/dswexec.c
#   2004/10/22 15:38:58-04:00 len.brown@intel.com +11 -0
#   ACPICA 20040922
# 
# ChangeSet
#   2004/10/22 15:33:45-04:00 len.brown@intel.com 
#   [ACPI] ACPICA 20040827 update from Bob Moore
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
#   
#   Implemented support for implicit object conversion in
#   the non-numeric logical operators (LEqual, LGreater,
#   LGreaterEqual, LLess, LLessEqual, and LNotEqual.) Any
#   combination of Integers/Strings/Buffers may now be used;
#   the second operand is implicitly converted on the fly to
#   match the type of the first operand.  For example:
#   
#   LEqual (Source1, Source2)
#   
#   Source1 and Source2 must each evaluate to an integer, a
#   string, or a buffer. The data type of Source1 dictates the
#   required type of Source2.  Source2 is implicitly converted
#   if necessary to match the type of Source1.
#   
#   Updated and corrected the behavior of the string
#   conversion support.  The rules concerning conversion of
#   buffers to strings (according to the ACPI specification)
#   are as follows:
#   
#   ToDecimalString - explicit byte-wise conversion of buffer
#   to string of decimal values (0-255) separated by commas.
#   
#   ToHexString - explicit byte-wise conversion of buffer to
#   string of hex values (0-FF) separated by commas.
#   
#   ToString - explicit byte-wise conversion of buffer to
#   string.  Byte-by-byte copy with no transform except NULL
#   terminated.  Any other implicit buffer-to-string conversion
#   
#   byte-wise conversion of buffer to string of hex values
#   (0-FF) separated by spaces.
#   
#   Fixed a problem in acpi_ns_get_pathname_length where the
#   returned length was one byte too short in the case of a
#   node in the root scope.  This could cause a fault during
#   debug output.
# 
# include/acpi/amlresrc.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +2 -2
#   ACPICA 20040827
# 
# include/acpi/amlcode.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +13 -12
#   ACPICA 20040827
# 
# include/acpi/acutils.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +4 -0
#   ACPICA 20040827
# 
# include/acpi/actypes.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +7 -2
#   ACPICA 20040827
# 
# include/acpi/acobject.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +4 -1
#   ACPICA 20040827
# 
# include/acpi/acinterp.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +23 -9
#   ACPICA 20040827
# 
# include/acpi/acconfig.h
#   2004/10/22 15:30:48-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040827
# 
# drivers/acpi/utilities/utobject.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +59 -3
#   ACPICA 20040827
# 
# drivers/acpi/utilities/utalloc.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +3 -2
#   ACPICA 20040827
# 
# drivers/acpi/parser/psopcode.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +2 -2
#   ACPICA 20040827
# 
# drivers/acpi/namespace/nsnames.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +5 -1
#   ACPICA 20040827
# 
# drivers/acpi/executer/exresop.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +8 -4
#   ACPICA 20040827
# 
# drivers/acpi/executer/exoparg2.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +23 -72
#   ACPICA 20040827
# 
# drivers/acpi/executer/exoparg1.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +14 -8
#   ACPICA 20040827
# 
# drivers/acpi/executer/exmisc.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +291 -173
#   ACPICA 20040827
# 
# drivers/acpi/executer/exfldio.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +1 -1
#   ACPICA 20040827
# 
# drivers/acpi/executer/exconvrt.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +164 -156
#   ACPICA 20040827
# 
# drivers/acpi/dispatcher/dswexec.c
#   2004/10/22 15:30:51-04:00 len.brown@intel.com +2 -1
#   ACPICA 20040827
# 
# ChangeSet
#   2004/10/21 21:57:50-04:00 len.brown@intel.com 
#   [ACPI] disable printk on AML breakpoint
#   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=135856
#   
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/osl.c
#   2004/10/21 21:57:43-04:00 len.brown@intel.com +9 -5
#   disable printk on AML breakpoint
# 
# drivers/acpi/osl.c
#   2004/10/21 21:50:03-04:00 len.brown@intel.com +1 -1
#   tweak _OS printk
# 
# ChangeSet
#   2004/10/20 17:13:13-04:00 len.brown@intel.com 
#   [ACPI] clarify #define ACPI_THERMAL_MODE_CRITICAL (Pavel Machek)
# 
# drivers/acpi/thermal.c
#   2004/10/20 17:11:04-04:00 len.brown@intel.com +3 -3
#   ACPI_THERMAL_MODE_CRT is now ACPI_THERMAL_MODE_CRITICAL
# 
# ChangeSet
#   2004/10/20 01:42:31-04:00 len.brown@intel.com 
#   [ACPI] simplify ES7000 IRQ re-naming scheme
#   so that it works for all PCI interrupts.
#   
#   Signed-off-by: Natalie Protasevich <Natalie.Protasevich@UNISYS.com>
#   Signed-off-by: Len Brown <Len.Brown@intel.com>
# 
# arch/i386/mach-es7000/es7000plat.c
#   2004/10/20 01:42:24-04:00 len.brown@intel.com +20 -18
#   es7000_rename_gsi() update to rename all interrupts below 16
#   to use IRQs above the highest actual GSI in the system.
#   This is needed because the ES7000 has mapped its legacy
#   interrupts above 16 and uses the lines < 16 for PCI devices.
# 
# arch/i386/kernel/mpparse.c
#   2004/10/20 01:42:24-04:00 len.brown@intel.com +6 -0
#   ES7000 has no legacy identity mapped IRQs
# 
# ChangeSet
#   2004/10/19 19:29:50-04:00 len.brown@intel.com 
#   [ACPI] create IBM ThinkPad ACPI driver -- ibm-acpi-0.6.patch
#   
#   by Borislav Deianov
#   Signed-off-by: Len Brown <len.brown@intel.com>
# 
# drivers/acpi/ibm_acpi.c
#   2004/10/19 01:21:21-04:00 len.brown@intel.com +1240 -0
#   ibm-acpi-0.6.patch
# 
# drivers/acpi/ibm_acpi.c
#   2004/10/19 01:21:21-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/drivers/acpi/ibm_acpi.c
# 
# drivers/acpi/Makefile
#   2004/10/18 20:20:44-04:00 len.brown@intel.com +1 -0
#   ibm-acpi-0.6.patch
# 
# drivers/acpi/Kconfig
#   2004/10/19 19:29:15-04:00 len.brown@intel.com +14 -0
#   ibm-acpi-0.6.patch
# 
# Documentation/ibm-acpi.txt
#   2004/10/19 01:46:55-04:00 len.brown@intel.com +474 -0
#   ibm-acpi-0.6.patch
# 
# Documentation/ibm-acpi.txt
#   2004/10/19 01:46:55-04:00 len.brown@intel.com +0 -0
#   BitKeeper file /home/lenb/src/26-stable-dev/Documentation/ibm-acpi.txt
# 
# ChangeSet
#   2004/10/18 16:28:17-04:00 len.brown@intel.com 
#   [ACPI] add module parameters: processor.c2=[0,1] processor.c3=[0,1]
#   to disable/enable C2 or C3
#   blacklist entries for R40e and Medion 41700
#   http://bugme.osdl.org/show_bug.cgi?id=3549
#   
#   from Andi Kleen
# 
# drivers/acpi/processor.c
#   2004/10/18 16:28:11-04:00 len.brown@intel.com +39 -0
#   module parameters: processor.c2=[0,1] processor.c3=[0,1]
#   to disable/enable C2 or C3
#   blacklist entry for R40e and Medion to disable c2/c3 using above
# 
# Documentation/kernel-parameters.txt
#   2004/10/18 16:28:11-04:00 len.brown@intel.com +5 -0
#   module parameters: processor.c2=[0,1] processor.c3=[0,1]
#   to disable/enable C2 or C3
# 
# ChangeSet
#   2004/10/18 14:47:59-04:00 len.brown@intel.com 
#   [ACPI] firmware wakeup address is physical, not virtual (David Shaohua Li)
#   http://bugzilla.kernel.org/show_bug.cgi?id=3390
# 
# drivers/acpi/sleep/main.c
#   2004/10/18 14:47:51-04:00 len.brown@intel.com +4 -1
#   firmware wakeup address is physical, not virtual
# 
diff -Nru a/arch/i386/kernel/acpi/boot.c b/arch/i386/kernel/acpi/boot.c
--- a/arch/i386/kernel/acpi/boot.c	2004-11-10 23:41:02 -05:00
+++ b/arch/i386/kernel/acpi/boot.c	2004-11-10 23:41:02 -05:00
@@ -456,16 +456,10 @@
 	 * Make sure all (legacy) PCI IRQs are set as level-triggered.
 	 */
 	if (acpi_irq_model == ACPI_IRQ_MODEL_PIC) {
-		static u16 irq_mask;
 		extern void eisa_set_level_irq(unsigned int irq);
 
-		if (edge_level == ACPI_LEVEL_SENSITIVE) {
-			if ((gsi < 16) && !((1 << gsi) & irq_mask)) {
-				Dprintk(KERN_DEBUG PREFIX "Setting GSI %u as level-triggered\n", gsi);
-				irq_mask |= (1 << gsi);
+		if (edge_level == ACPI_LEVEL_SENSITIVE)
 				eisa_set_level_irq(gsi);
-			}
-		}
 	}
 #endif
 
